org.apache.cassandra.thrift

## Class Cassandra.prepare_cql3_query_args

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra.prepare_cql3_query_args

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.prepare_cql3_query_args>, org.apache.thrift.TBase<Cassandra.prepare_cql3_query_args,Cassandra.prepare_cql3_query_args._Fields>

Enclosing class:
  Cassandra

    public static class Cassandra.prepare_cql3_query_args
    extends java.lang.Object
    implements org.apache.thrift.TBase<Cassandra.prepare_cql3_query_args,Cassandra.prepare_cql3_query_args._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.prepare_cql3_query_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Cassandra.prepare_cql3_query_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`Compression` `compression`
`static java.util.Map<Cassandra.prepare_cql3_query_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`java.nio.ByteBuffer` `query`

### Constructor Summary

Constructors
Constructor and Description
`prepare_cql3_query_args()`
`prepare_cql3_query_args(java.nio.ByteBuffer query, Compression compression)`
`prepare_cql3_query_args(Cassandra.prepare_cql3_query_args other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.ByteBuffer` `bufferForQuery()`
`void` `clear()`
`int` `compareTo(Cassandra.prepare_cql3_query_args other)`
`Cassandra.prepare_cql3_query_args` `deepCopy()`
`boolean` `equals(Cassandra.prepare_cql3_query_args that)`
`boolean` `equals(java.lang.Object that)`
`Cassandra.prepare_cql3_query_args._Fields` `fieldForId(int fieldId)`
`Compression` `getCompression()`
`java.lang.Object` `getFieldValue(Cassandra.prepare_cql3_query_args._Fields field)`
`byte[]` `getQuery()`
`int` `hashCode()`
`boolean` `isSet(Cassandra.prepare_cql3_query_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCompression()` Returns true if field compression is set (has been assigned a value) and false otherwise
`boolean` `isSetQuery()` Returns true if field query is set (has been assigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`Cassandra.prepare_cql3_query_args` `setCompression(Compression compression)`
`void` `setCompressionIsSet(boolean value)`
`void` `setFieldValue(Cassandra.prepare_cql3_query_args._Fields field, java.lang.Object value)`
`Cassandra.prepare_cql3_query_args` `setQuery(byte[] query)`
`Cassandra.prepare_cql3_query_args` `setQuery(java.nio.ByteBuffer query)`
`void` `setQueryIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetCompression()`
`void` `unsetQuery()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### query

    public java.nio.ByteBuffer query

#### compression

    public Compression compression

See Also:
  `Compression`

#### metaDataMap

    public static final java.util.Map<Cassandra.prepare_cql3_query_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### prepare_cql3_query_args

    public prepare_cql3_query_args()

#### prepare_cql3_query_args

    public prepare_cql3_query_args(java.nio.ByteBuffer query,
                                   Compression compression)

#### prepare_cql3_query_args

    public prepare_cql3_query_args(Cassandra.prepare_cql3_query_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public Cassandra.prepare_cql3_query_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.prepare_cql3_query_args,Cassandra.prepare_cql3_query_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<Cassandra.prepare_cql3_query_args,Cassandra.prepare_cql3_query_args._Fields>`

#### getQuery

    public byte[] getQuery()

#### bufferForQuery

    public java.nio.ByteBuffer bufferForQuery()

#### setQuery

    public Cassandra.prepare_cql3_query_args setQuery(byte[] query)

#### setQuery

    public Cassandra.prepare_cql3_query_args setQuery(java.nio.ByteBuffer query)

#### unsetQuery

    public void unsetQuery()

#### isSetQuery

    public boolean isSetQuery()

Returns true if field query is set (has been assigned a value) and false otherwise

#### setQueryIsSet

    public void setQueryIsSet(boolean value)

#### getCompression

    public Compression getCompression()

See Also:
  `Compression`

#### setCompression

    public Cassandra.prepare_cql3_query_args setCompression(Compression compression)

See Also:
  `Compression`

#### unsetCompression

    public void unsetCompression()

#### isSetCompression

    public boolean isSetCompression()

Returns true if field compression is set (has been assigned a value) and false otherwise

#### setCompressionIsSet

    public void setCompressionIsSet(boolean value)

#### setFieldValue

    public void setFieldValue(Cassandra.prepare_cql3_query_args._Fields field,
                              java.lang.Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.prepare_cql3_query_args,Cassandra.prepare_cql3_query_args._Fields>`

#### getFieldValue

    public java.lang.Object getFieldValue(Cassandra.prepare_cql3_query_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.prepare_cql3_query_args,Cassandra.prepare_cql3_query_args._Fields>`

#### isSet

    public boolean isSet(Cassandra.prepare_cql3_query_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<Cassandra.prepare_cql3_query_args,Cassandra.prepare_cql3_query_args._Fields>`

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(Cassandra.prepare_cql3_query_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(Cassandra.prepare_cql3_query_args other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<Cassandra.prepare_cql3_query_args>`

#### fieldForId

    public Cassandra.prepare_cql3_query_args._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.prepare_cql3_query_args,Cassandra.prepare_cql3_query_args._Fields>`

#### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TBase<Cassandra.prepare_cql3_query_args,Cassandra.prepare_cql3_query_args._Fields>`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TBase<Cassandra.prepare_cql3_query_args,Cassandra.prepare_cql3_query_args._Fields>`
Throws:
  `org.apache.thrift.TException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`